%define	Summary	Interactive function grapher

Summary:	%{Summary}
Name:		mathplot
Version:	0.8.5
Release:	%mkrel 4
License:	GPL
Group:		Sciences/Mathematics
Url:		http://merd.net/pixel/mathplot.html
Source0:	http://merd.net/pixel/%{name}-%{version}.src.tar.bz2
Requires:	tk tcl
BuildRequires:	ocaml >= 3.00 ocamltk XFree86-devel ImageMagick ncurses-devel
BuildRequires:	findlib ocaml-simple_gettext tk tk-devel tcl tcl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mathplot is a GUI frontend  for  interactive  graphing  of
functions.   mathplot2ps  is  a  batch program to generate
PostScript output.

You can have both equations (y=f(x)  or  f(x,y)=g(x))  and
inequations.  For inequations, mathplot hatches the inter-
section. For example, with y>0, y<x and x<2 it hatches the
solution which is a triangle.
You  can name a point, anywhere or on a function.  You can
ask for the tangent of a function.
As it uses a symbolic library,  you  can  enter  functions
like "x+1/y=2".
Can  find  root (zeros), extrema (even symbolically, some-
times) and intersection of 2 functions.
mathplot exports in PostScript so that you can print  eas-
ily, and with the reference mark (O, i, j).
You  can  save  and  load files. mathplot2ps can transform
these files into PostScript.
It's written in OCaml using the Tk  toolkit  for  the  GUI
frontend

%prep
%setup -q -n %{name}

%build
CFLAGS="%{optflags}" make prefix=/usr

%install
rm -rf %{buildroot}
%makeinstall_std prefix=/usr

%find_lang %{name}

rm -rf %{buildroot}%{_docdir}

install -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert icons/mathplot-icon.gif $RPM_BUILD_ROOT%{_miconsdir}/mathplot.png
convert icons/mathplot-icon-large.gif $RPM_BUILD_ROOT%{_iconsdir}/mathplot.png
convert icons/mathplot-icon-mini.gif $RPM_BUILD_ROOT%{_liconsdir}/mathplot.png

install -d %{buildroot}%{_menudir}
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="More Applications/Sciences/Mathematics"\
title="Mathplot"\
longtitle="%{Summary}"\
command="%{name}"\
icon="%{name}.png" \
xdg="true"
EOF


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Mathplot
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Science;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
EOF


%clean
rm -rf %{buildroot}

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc CHANGES README docs/TODO docs/BUGS
%{_bindir}/*
%{_datadir}/%{name}*
%lang(es) %{_mandir}/es/*/*
%{_mandir}/man*/*
%{_datadir}/applications/*
%{_menudir}/*
%{_iconsdir}/%{name}*
%{_iconsdir}/*/*


%changelog
* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-28 14:38:25 (58313)
- fix summary macro used in menu
- cosmetics

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 11:08:09 (58272)
- Import mathplot


* Fri Jul  7 2006 Pixel <pixel@mandriva.com> 0.8.5-3mdv2007.0
- explictly require tk & tcl
- switch to XDG menu

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Nov  8 2005 Pixel <pixel@mandriva.com> 0.8.5-1mdk
- new version

* Tue Nov  9 2004 Pixel <pixel@mandrakesoft.com> 0.8.4-1mdk 
- new release
- drop versioned-tcl patch now unneeded
- requires findlib
- i18n

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.3-5mdk
- lib64 fixes

* Mon Sep  8 2003 Pixel <pixel@mandrakesoft.com> 0.8.3-4mdk
- remove french description 
  (which was not in utf8 and it is not the good way to have it in .spec)

* Mon Jun 16 2003 Stefan van der Eijk <stefan@eijk.nu> 0.8.3-3mdk
- BuildRequires

* Sun Apr 13 2003 Pixel <pixel@mandrakesoft.com> 0.8.3-2mdk
- rebuild with tk 8.4

* Tue Feb 11 2003 Pixel <pixel@mandrakesoft.com> 0.8.3-1mdk
- new version
  - fixes displayed message about the intersection point
  - the intersection point is now a free point instead of a fpoint
    so that one can more easily see the intersection value
    (and this point doesn't belong to one function, but to 2 functions, so...)

* Tue Jul 30 2002 Pixel <pixel@mandrakesoft.com> 0.8.2-1mdk
- new version (for new ocaml)

* Sun Mar 31 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.1-2mdk
- Rebuild with a versioned tcl and tk. 

* Thu Dec 13 2001 Pixel <pixel@mandrakesoft.com> 0.8.1-1mdk
- build version (a few adaptations for OCaml 3.0.4)

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.0-3mdk
- BuildRequires: ImageMagick

* Thu Jul 26 2001 Pixel <pixel@mandrakesoft.com> 0.8.0-2mdk
- rebuild

* Fri Nov 17 2000 Pixel <pixel@mandrakesoft.com> 0.8.0-1mdk
- new version for maman:
   * KP_Enter now working do define a new function
   * x is now rewritten in x^2
   * when creating new points, it gives an usused name (A, B...)
   * FocusOut on range entries is the same as doing Return

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-4mdk
- capitalize

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-3mdk
- add packager field

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.6-2mdk
- automatically added BuildRequires

* Sun Aug  6 2000 Pixel <pixel@mandrakesoft.com> 0.7.6-1mdk
- new version (fix tcl/tk lib require)

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 0.7.5-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.7.4-1mdk
- new version
- macroization
- BM

* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 0.7.3-1mdk
- new version using labltk
- added icons for menu

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-4mdk
- new group + cleanup

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.04

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.03

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- 0.7.2
